> For the complete documentation index, see [llms.txt](https://docs.zapsign.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zapsign.com.br/zapsign-api/english/facilitators/sdks/typescript-sdk/signers-requests/signinbatch.md).

# signInBatch

Sign multiple documents via API

### Overview

Parameters:&#x20;

* [SignBatch](/zapsign-api/english/facilitators/sdks/typescript-sdk/used-classes/body/signbatch.md)

Return:

* String[ ](broken://pages/LNA023m1MfF7Iv92JTZd)- In case of success
* Exception - In case of failure

To sign in batch we will need:

* set your apiToken;
* set the user token;
* set the signers tokens;
* call the method;

### How to use:

Save your [apiToken](/zapsign-api/english/master.md):

<pre class="language-typescript"><code class="lang-typescript"><strong>const apiToken: string = "YOUR TOKEN";
</strong></code></pre>

Set the user token, ([where to find it](/zapsign-api/english/signatarios/assinar-em-lote-via-api.md))

```typescript
const userToken: string = "USER TOKEN";
```

Set your signers tokens

```typescript
const signerToken1: string = "FIRST SIGNER TOKEN";
const signerToken2: string = "SECOND SIGNER TOKEN";

let signersToken: string[]  = [];
signersToken.push(signerToken1, signerToken2);
```

Create an instance of [SignInBatch](https://app.gitbook.com/s/-M4noMoX5ZGb2-RhWjjf-887967055/~/changes/193/facilitadores/sdks/sdk-typescript/classes-usadas/body/signbatch):

```typescript
const signBatch = SignBatchBuilder()
                .withUserToken(userToken)
                .withSignerTokens(signersToken)
                .build();
```

Finally, call the signInBatch method to get an string with the response's success message or an error message:

```typescript
async function exempleSignInBatch() {
    try {
        signerResponse: string = new SignerRequest(apiToken).signInBatche(signBatch);
        jsonDocResponse: string = new JsonConverter().signerToJson(signerResponse);
        console.log(jsonDocResponse);
    }
    catch(Err) {
        console.log(Err);
    }   
}
```

### Example:

<pre class="language-typescript"><code class="lang-typescript">import SignerRequest from "sdk-node-typescript-zapsign/src/signer/SignerRequest";
import { JsonConverter } from "sdk-node-typescript-zapsign/src/services/JsonConverter";
import { SignBatchBuilder } from "sdk-node-typescript-zapsign/src/body/signer/builders/SignBatchBuilder";
<strong>
</strong><strong>const apiToken: string = "YOUR TOKEN";
</strong>const userToken: string = "USER TOKEN";

const signerToken1: string = "FIRST SIGNER TOKEN";
const signerToken2: string = "SECOND SIGNER TOKEN";

let signersToken: string[]  = [];
signersToken.push(signerToken1, signerToken2);

const signBatch = SignBatchBuilder()
                .withUserToken(userToken)
                .withSignerTokens(signersToken)
                .build();
                
async function exempleSignInBatch() {
    try {
        signerResponse: string = new SignerRequest(apiToken).signInBatch(signBatch);
        jsonDocResponse: string = new JsonConverter().signerToJson(signerResponse);
        console.log(jsonDocResponse);
    }
    catch(Err) {
        console.log(Err);
    }   
}
</code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.zapsign.com.br/zapsign-api/english/facilitators/sdks/typescript-sdk/signers-requests/signinbatch.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
